package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallTarget;

/**
 * 营销目标Mapper接口
 * 
 * @author ruoyi
 * @date 2022-01-17
 */
public interface MallTargetMapper 
{
    /**
     * 查询营销目标
     * 
     * @param id 营销目标主键
     * @return 营销目标
     */
    public MallTarget selectMallTargetById(Integer id);

    /**
     * 查询营销目标列表
     * 
     * @param mallTarget 营销目标
     * @return 营销目标集合
     */
    public List<MallTarget> selectMallTargetList(MallTarget mallTarget);

    /**
     * 新增营销目标
     * 
     * @param mallTarget 营销目标
     * @return 结果
     */
    public int insertMallTarget(MallTarget mallTarget);

    /**
     * 修改营销目标
     * 
     * @param mallTarget 营销目标
     * @return 结果
     */
    public int updateMallTarget(MallTarget mallTarget);

    /**
     * 删除营销目标
     * 
     * @param id 营销目标主键
     * @return 结果
     */
    public int deleteMallTargetById(Integer id);

    /**
     * 批量删除营销目标
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallTargetByIds(Integer[] ids);
}
